package com.qmth.paper.library.business.bean.result;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.enums.RecognitionTypeEnum;
import com.qmth.paper.library.common.enums.StoreTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 扫描任务查询结果
 * @Author: CaoZixuan
 * @Date: 2022-09-28
 */
public class PaperScanTaskResult implements Serializable {
    @ApiModelProperty(value = "扫描任务id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperScanTaskId;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "学期名称")
    private String semesterName;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "识别方式")
    private RecognitionTypeEnum recognitionType;

    @ApiModelProperty(value = "识别方式")
    private String recognitionTypeDisplay;

    @ApiModelProperty(value = "存储方式")
    private StoreTypeEnum storeType;

    @ApiModelProperty(value = "存储方式")
    private String storeTypeDisplay;

    @ApiModelProperty(value = "扫描张数")
    private int scanCount;

    @ApiModelProperty(value = "考生数")
    private int studentCount;

    @ApiModelProperty(value = "扫描考生数")
    private int scanStudentCount;

    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public RecognitionTypeEnum getRecognitionType() {
        return recognitionType;
    }

    public void setRecognitionType(RecognitionTypeEnum recognitionType) {
        this.recognitionType = recognitionType;
    }

    public String getRecognitionTypeDisplay() {
        return this.recognitionType == null ? "-" : this.recognitionType.getDesc();
    }

    public void setRecognitionTypeDisplay(String recognitionTypeDisplay) {
        this.recognitionTypeDisplay = recognitionTypeDisplay;
    }

    public StoreTypeEnum getStoreType() {
        return storeType;
    }

    public void setStoreType(StoreTypeEnum storeType) {
        this.storeType = storeType;
    }

    public String getStoreTypeDisplay() {
        return this.storeType == null ? "-" : this.storeType.getDesc();
    }

    public void setStoreTypeDisplay(String storeTypeDisplay) {
        this.storeTypeDisplay = storeTypeDisplay;
    }

    public int getScanCount() {
        return scanCount;
    }

    public void setScanCount(int scanCount) {
        this.scanCount = scanCount;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public int getScanStudentCount() {
        return scanStudentCount;
    }

    public void setScanStudentCount(int scanStudentCount) {
        this.scanStudentCount = scanStudentCount;
    }
}
